Bug 151648 - Missing support for Alpha arch
Missing support for Alpha arch
Product: Fedora
Classification: Fedora
Component: libaio (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Depends On:
  Show dependency treegraph
Reported: 2005-03-21 08:07 EST by Sergey Tikhonov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-04 09:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed updated libaio.h file (6.00 KB, text/plain)
2005-03-21 08:07 EST, Sergey Tikhonov
no flags Details
Proposed implementation of syscall-alpha.h (10.90 KB, text/plain)
2005-03-21 08:09 EST, Sergey Tikhonov
no flags Details
Proposed updated syscall.h file (1.03 KB, text/plain)
2005-03-21 08:09 EST, Sergey Tikhonov
no flags Details

  None (edit)
Description Sergey Tikhonov 2005-03-21 08:07:47 EST
Description of problem:
This package is missing support of alpha arch

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Sergey Tikhonov 2005-03-21 08:07:48 EST
Created attachment 112174 [details]
Proposed updated libaio.h file
Comment 2 Sergey Tikhonov 2005-03-21 08:09:10 EST
Created attachment 112175 [details]
Proposed implementation of syscall-alpha.h
Comment 3 Sergey Tikhonov 2005-03-21 08:09:43 EST
Created attachment 112176 [details]
Proposed updated syscall.h file
Comment 4 Jeffrey Moyer 2005-03-23 14:28:45 EST
Have you tested these patches?  I'm not sure I have any alpha systems to play with.
Comment 5 Sergey Tikhonov 2005-03-23 14:36:20 EST
I tried to run testes that are bundled with the package and most of them were
successful. I did the same on AMD64 machine and there were fewer passed tests.
Comment 6 Sergey Tikhonov 2005-03-30 06:57:06 EST
Is there any chance for my patches to be included into mainstream?
I am working on AlphaCore (FedoraCore on Alpha) project and would like to have
our patches to be in sync with fedora. My patches are not affect other arches at
Thank you.
Comment 7 Jeffrey Moyer 2005-03-30 09:03:34 EST
Yes, I'll review them and get them committed to the tree.
Comment 8 Jeffrey Moyer 2005-03-31 12:34:57 EST
In the future, please post patches, not new versions of existing files.

Comment 9 Jeffrey Moyer 2005-03-31 12:43:54 EST
+#ifdef __alpha
+#define SYMVER(compat_sym, orig_sym, ver_sym)   \
+     __asm__(".set " SYMSTR(compat_sym) " = " SYMSTR(orig_sym) "@LIBAIO_" SYMST
+#define DEFSYMVER(compat_sym, orig_sym, ver_sym)        \
+     __asm__(".set " SYMSTR(compat_sym) " = " SYMSTR(orig_sym) "@@LIBAIO_" SYMS

Why are you not using the .symver directive?  It works for every other
architecture, why is alpha different?
Comment 10 Sergey Tikhonov 2005-03-31 14:54:20 EST
You are right. It is not necessary and should be removed.
Thank you for pointing out and for your time.
Comment 11 Jeffrey Moyer 2005-04-01 15:42:33 EST
I've checked your changes into the CVS repository here:


You can simply do a checkout of libaio.  Please check these sources out, do a
build, and verify that the aio-stress benchmark operates properly given the
following parameters:

# aio-stress -O -v -t 2 -s 512 testfile1 testfile2

Replace 512 with whatever size (in megabytes) you want to use for each file. 
Make sure you have enough disk space for them.  ;)

The aio-stress.c file can be found here:

Let me know if you have any further questions.  Once you've completed these
tests successfully, I'll build this version of the library (0.3.104) into rawhide.

Thanks again!

Comment 12 Sergey Tikhonov 2005-04-01 16:11:04 EST
Here is the output of test program. I used 20Mb as file size and hope for the
test it should not be matter.

Thank you.

[root@falcon src]# LD_LIBRARY_PATH=`pwd` ./aio-stress -O -v -t 2 -s 20 testfile1
file size 20MB, record size 64KB, depth 64, ios per iteration 8
max io_submit 16, buffer alignment set to 8KB
threads 2 files 2 contexts 1 context offset 2MB verification on
adding file testfile1 thread 0
adding file testfile2 thread 1
write on testfile2 (3.33 MB/s) 20.00 MB in 6.01s
thread 1 write totals (3.33 MB/s) 20.00 MB in 6.01s
write on testfile1 (3.33 MB/s) 20.00 MB in 6.01s
thread 0 write totals (3.33 MB/s) 20.00 MB in 6.01s
write throughput (6.65 MB/s) 40.00 MB in 6.01s min transfer 20.00MB
read on testfile2 (31.13 MB/s) 20.00 MB in 0.64s
thread 1 read totals (26.93 MB/s) 20.00 MB in 0.74s
read on testfile1 (30.43 MB/s) 20.00 MB in 0.66s
thread 0 read totals (30.29 MB/s) 20.00 MB in 0.66s
read throughput (51.71 MB/s) 40.00 MB in 0.77s min transfer 20.00MB
random write on testfile2 (6.04 MB/s) 20.00 MB in 3.31s
thread 1 random write totals (6.01 MB/s) 20.00 MB in 3.33s
random write on testfile1 (5.23 MB/s) 17.50 MB in 3.35s
thread 0 random write totals (5.22 MB/s) 17.50 MB in 3.35s
random write throughput (11.17 MB/s) 37.50 MB in 3.36s min transfer 17.50MB
random read on testfile2 (68.92 MB/s) 20.00 MB in 0.29s
thread 1 random read totals (66.50 MB/s) 20.00 MB in 0.30s
random read on testfile1 (64.93 MB/s) 1.00 MB in 0.02s
thread 0 random read totals (12.69 MB/s) 1.00 MB in 0.08s
random read throughput (56.59 MB/s) 21.00 MB in 0.37s min transfer 1.00MB
pthread_join: Success
Comment 13 Sergey Tikhonov 2005-04-01 16:15:16 EST
Just checked .spec file. Please, don't forget to add "alpha alphaev6" into list
of ExclusiveArch:

Thank you.
Comment 14 Jeffrey Moyer 2005-04-01 16:23:40 EST
Good catch!  Thanks!  I'll get this pushed soon.

Comment 15 Sergey Tikhonov 2005-04-01 16:28:31 EST
Thanks, I hope my other alpha specific patches gets accepted that quickly. :)
Comment 16 Jeffrey Moyer 2005-04-01 18:16:08 EST
Okay, I over-wrote the tag for 0.3.104 to include the exclusivearch fixes, and I
built this into rawhide.

This bug is filed against FC3.  Is your port a port of FC3, or is it sufficient
to push this fix into the FC4 stream?


Comment 17 Sergey Tikhonov 2005-04-02 04:52:02 EST
Our port of FC3 is done, so please put it into FC4 stream (I am working on it
right now). Thank you.
Comment 18 Jeffrey Moyer 2005-04-04 09:48:00 EDT
Okay, it is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.